/***************************************************************************
 *            bonfire-file-chooser.h
 *
 *  lun mai 29 08:53:18 2006
 *  Copyright  2006  Rouquier Philippe
 *  bonfire-app@wanadoo.fr
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef BONFIRE_FILE_CHOOSER_H
#define BONFIRE_FILE_CHOOSER_H

#include <glib.h>
#include <glib-object.h>

#include <gtk/gtkalignment.h>
#include <gtk/gtkfilechooserwidget.h>

G_BEGIN_DECLS

#define BONFIRE_TYPE_FILE_CHOOSER         (bonfire_file_chooser_get_type ())
#define BONFIRE_FILE_CHOOSER(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), BONFIRE_TYPE_FILE_CHOOSER, BonfireFileChooser))
#define BONFIRE_FILE_CHOOSER_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), BONFIRE_TYPE_FILE_CHOOSER, BonfireFileChooserClass))
#define BONFIRE_IS_FILE_CHOOSER(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), BONFIRE_TYPE_FILE_CHOOSER))
#define BONFIRE_IS_FILE_CHOOSER_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), BONFIRE_TYPE_FILE_CHOOSER))
#define BONFIRE_FILE_CHOOSER_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), BONFIRE_TYPE_FILE_CHOOSER, BonfireFileChooserClass))

typedef struct BonfireFileChooserPrivate BonfireFileChooserPrivate;

typedef struct {
	GtkAlignment parent;
	BonfireFileChooserPrivate *priv;
} BonfireFileChooser;

typedef struct {
	GtkAlignmentClass parent_class;
} BonfireFileChooserClass;

GType bonfire_file_chooser_get_type ();
GtkWidget *bonfire_file_chooser_new ();

#endif /* BONFIRE_FILE_CHOOSER_H */
